Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class MatcherStrategy

    java.lang.Object
      org.jboss.aop.pointcut.MatcherStrategy

Direct Known Subclasses:
  AdvisorMatcherStrategy, ProxyMatcherStrategy

public abstract class MatcherStrategy
extends Object

Strategy to allow for different handling for the pointcut matchers for different types of advisor

Version:
  $Revision: 1.1 $
Author:
  Kabir Khan

Constructor Summary
`MatcherStrategy()`

Method Summary
`protected abstract boolean` | `checkIntroductions(Class clazz, ClassExpression instanceOf, Advisor advisor)`
`abstract Class` | `getDeclaringClass(Advisor advisor, Method m)`
`static MatcherStrategy` | `getMatcher(Advisor advisor)`
`boolean` | `subtypeOf(Class clazz, ClassExpression instanceOf, Advisor advisor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatcherStrategy

    public MatcherStrategy()

Method Detail

### getMatcher

    public static MatcherStrategy getMatcher(Advisor advisor)

### subtypeOf

    public boolean subtypeOf(Class clazz,
                             ClassExpression instanceOf,
                             Advisor advisor)

### checkIntroductions

    protected abstract boolean checkIntroductions(Class clazz,
                                                  ClassExpression instanceOf,
                                                  Advisor advisor)

### getDeclaringClass

    public abstract Class getDeclaringClass(Advisor advisor,
                                            Method m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.